#pragma once
#include <string>

namespace Http
{
	class Url
	{
	private:
		std::string path;
		std::string query;

	public:
		bool HasPath() const;
		bool HasQuery() const;

		std::string const & GetPath() const;
		std::string const & GetQuery() const;

		bool TryParseFromUrlString(std::string urlstring);
	};
}